## skalibs 0.47

=== skalibs-0.47/src/libbiguint/Makefile ===
it: command include library library.so

clean: EXPORT INTERNAL
	rm -f `cat EXPORT INTERNAL`


biguint.h: uint32.h gccattributes.h
	touch biguint.h

bu_addc.o: compile bu_addc.c biguint.h uint32.h uint64.h
	./compile bu_addc.c

bu_addmod.o: compile bu_addmod.c biguint.h uint32.h
	./compile bu_addmod.c

bu_cmp.o: compile bu_cmp.c biguint.h uint32.h
	./compile bu_cmp.c

bu_copy.o: compile bu_copy.c biguint.h uint32.h
	./compile bu_copy.c

bu_div.o: compile bu_div.c biguint.h uint32.h
	./compile bu_div.c

bu_div_unsafe.o: compile bu_div_unsafe.c biguint.h uint32.h
	./compile bu_div_unsafe.c

bu_invmod.o: compile bu_invmod.c biguint.h uint32.h
	./compile bu_invmod.c

bu_divmod.o: compile bu_divmod.c biguint.h uint32.h
	./compile bu_divmod.c

bu_len.o: compile bu_len.c biguint.h uint32.h
	./compile bu_len.c

bu_mod.o: compile bu_mod.c biguint.h uint32.h
	./compile bu_mod.c

bu_mul.o: compile bu_mul.c biguint.h uint32.h uint64.h
	./compile bu_mul.c

bu_pack.o: compile bu_pack.c biguint.h uint32.h
	./compile bu_pack.c

bu_pack_big.o: compile bu_pack_big.c biguint.h uint32.h
	./compile bu_pack_big.c

bu_slbc.o: compile bu_slbc.c biguint.h uint32.h
	./compile bu_slbc.c

bu_srbc.o: compile bu_srbc.c biguint.h uint32.h
	./compile bu_srbc.c

bu_subc.o: compile bu_subc.c biguint.h uint32.h uint64.h
	./compile bu_subc.c

bu_submod.o: compile bu_submod.c biguint.h uint32.h
	./compile bu_submod.c

bu_unpack.o: compile bu_unpack.c biguint.h uint32.h
	./compile bu_unpack.c

bu_unpack_big.o: compile bu_unpack_big.c biguint.h uint32.h
	./compile bu_unpack_big.c

bu_zero.o: compile bu_zero.c biguint.h uint32.h
	./compile bu_zero.c

bu_fmt.o: compile bu_fmt.c biguint.h uint32.h fmtscan.h bytestr.h
	./compile bu_fmt.c

bu_scan.o: compile bu_scan.c biguint.h uint32.h fmtscan.h bytestr.h
	./compile bu_scan.c

libbiguint.a: makelib \
bu_addc.o bu_addmod.o bu_cmp.o bu_copy.o bu_div.o bu_div_unsafe.o \
bu_invmod.o bu_divmod.o bu_len.o bu_mod.o bu_mul.o bu_pack.o \
bu_pack_big.o bu_slbc.o bu_srbc.o bu_subc.o bu_submod.o \
bu_unpack.o bu_unpack_big.o bu_zero.o bu_fmt.o bu_scan.o
	./makelib libbiguint.a \
	bu_addc.o bu_addmod.o bu_cmp.o bu_copy.o bu_div.o bu_div_unsafe.o \
	bu_invmod.o bu_divmod.o bu_len.o bu_mod.o bu_mul.o bu_pack.o \
	bu_pack_big.o bu_slbc.o bu_srbc.o bu_subc.o bu_submod.o \
	bu_unpack.o bu_unpack_big.o bu_zero.o bu_fmt.o bu_scan.o


command:

include: biguint.h

library: libbiguint.a

library.so:
