=== skalibs-0.47/src/libdatastruct/Makefile ===
it: command include library library.so

clean: EXPORT INTERNAL
	rm -f `cat EXPORT INTERNAL`


datastruct.h: avltree.h list1.h avlnodebunch.h avlnodealloc.h avlnode.h
	touch datastruct.h

list1.h: diuintbunch.h gccattributes.h
	touch list1.h

avlnodealloc.h: avlnode.h gen_alloc.h
	touch avlnodealloc.h

avlnodebunch.h: gen_bunch.h avlnodealloc.h avlnode.h
	touch avlnodebunch.h

avltree.h: avlnodebunch.h gccattributes.h
	touch avltree.h


avlnodealloc.o: compile avlnodealloc.c avlnodealloc.h avlnode.h gen_alloc.h
	./compile avlnodealloc.c

avlnodealloc_x.o: compile avlnodealloc_x.c avlnodealloc.h avlnode.h gen_alloc.h
	./compile avlnodealloc_x.c

avlnodebunch.o: compile avlnodebunch.c avlnodebunch.h gen_bunch.h avlnodealloc.h avlnode.h
	./compile avlnodebunch.c

list1.o: compile list1.c list1.h diuintbunch.h
	./compile list1.c

list1_delete.o: compile list1_delete.c list1.h diuintbunch.h
	./compile list1_delete.c

list1_insert.o: compile list1_insert.c list1.h diuintbunch.h
	./compile list1_insert.c

list1_iter.o: compile list1_iter.c list1.h
	./compile list1_iter.c

list1_search.o: compile list1_search.c list1.h
	./compile list1_search.c

avltree.o: compile avltree.c avltree.h avlnodebunch.h
	./compile avltree.c

avltree_height.o: compile avltree_insdel.c avltree.h avlnode.h
	./compile avltree_height.c

avltree_insdel.o: compile avltree_insdel.c avltree.h avlnodebunch.h avlnode.h
	./compile avltree_insdel.c

avltree_iter.o: compile avltree_iter.c avltree.h
	./compile avltree_iter.c

avltree_search.o: compile avltree_search.c avltree.h avlnode.h
	./compile avltree_search.c


libdatastruct.a: makelib \
avlnodealloc.o avlnodealloc_x.o avlnodebunch.o \
list1.o list1_delete.o list1_insert.o list1_iter.o list1_search.o \
avltree.o avltree_height.o avltree_insdel.o avltree_iter.o avltree_search.o
	./makelib libdatastruct.a \
	avlnodealloc.o avlnodealloc_x.o avlnodebunch.o \
	list1.o list1_delete.o list1_insert.o list1_iter.o list1_search.o \
	avltree.o avltree_height.o avltree_insdel.o avltree_iter.o avltree_search.o


command:

include: datastruct.h avlnode.h avlnodealloc.h avlnodebunch.h list1.h avltree.h

library: libdatastruct.a

library.so:
