=== skalibs-0.47/src/libdns/Makefile ===
it: command include library library.so

clean: EXPORT INTERNAL
	rm -f `cat EXPORT INTERNAL`


dns.h: dns_helper.h dns_transmit.h
	touch dns.h

dns_helper.h: gccattributes.h bytestr.h stralloc.h
	touch dns_helper.h

dns_transmit.h: stralloc.h gen_alloc.h tai.h iopause.h
	touch dns_transmit.h

dns_dfd.o: compile dns_dfd.c dns_helper.h error.h alloc.h bytestr.h
	./compile dns_dfd.c

dns_domain_copy.o: compile dns_domain_copy.c dns_helper.h alloc.h bytestr.h
	./compile dns_domain_copy.c

dns_domain_free.o: compile dns_domain_free.c dns_helper.h alloc.h
	./compile dns_domain_free.c

dns_domain_length.o: compile dns_domain_length.c dns_helper.h
	./compile dns_domain_length.c

dns_domain_suffix.o: compile dns_domain_suffix.c dns_helper.h
	./compile dns_domain_suffix.c

dns_domain_suffixpos.o: compile dns_domain_suffixpos.c dns_helper.h
	./compile dns_domain_suffixpos.c

dns_dtda.o: compile dns_dtda.c dns_helper.h stralloc.h
	./compile dns_dtda.c

dns_ip4.o: compile dns_ip4.c dns.h stralloc.h
	./compile dns_ip4.c

dns_ip4b.o: compile dns_ip4b.c dns.h stralloc.h
	./compile dns_ip4b.c

dns_ip_p.o: compile dns_ip_p.c dns_helper.h stralloc.h bytestr.h uint16.h
	./compile dns_ip_p.c

dns_ipq.o: compile dns_ipq.c dns_transmit.h stralloc.h
	./compile dns_ipq.c

dns_ipqb.o: compile dns_ipqb.c dns_transmit.h skamisc.h stralloc.h
	./compile dns_ipqb.c

dns_ipqb_r_tmp.o: compile dns_ipqb_r_tmp.c dns_transmit.h stralloc.h
	./compile dns_ipqb_r_tmp.c

dns_ipq_rules.o: compile dns_ipq_rules.c dns_transmit.h stralloc.h bytestr.h
	./compile dns_ipq_rules.c

dns_ipq_rulesb.o: compile dns_ipq_rulesb.c dns_transmit.h stralloc.h
	./compile dns_ipq_rulesb.c

dns_mx.o: compile dns_mx.c dns.h stralloc.h
	./compile dns_mx.c

dns_mx_p.o: compile dns_mx_p.c dns_helper.h stralloc.h bytestr.h uint16.h
	./compile dns_mx_p.c

dns_name.o: compile dns_name.c dns.h stralloc.h
	./compile dns_name.c

dns_name_p.o: compile dns_name_p.c dns_helper.h stralloc.h bytestr.h uint16.h
	./compile dns_name_p.c

dns_nd.o: compile dns_nd.c dns_helper.h fmtscan.h bytestr.h
	./compile dns_nd.c

dns_packet_copy.o: compile dns_packet_copy.c dns_helper.h error.h bytestr.h
	./compile dns_packet_copy.c

dns_packet_getname.o: compile dns_packet_getname.c dns_helper.h error.h
	./compile dns_packet_getname.c

dns_packet_skipname.o: compile dns_packet_skipname.c dns_helper.h error.h
	./compile dns_packet_skipname.c

dns_rcip.o: compile dns_rcip.c dns_transmit.h bytestr.h
	./compile dns_rcip.c

dns_rcipit.o: compile dns_rcipit.c dns_transmit.h djbunix.h tai.h fmtscan.h bytestr.h
	./compile dns_rcipit.c

dns_rcip_info_here.o: compile dns_rcip_info_here.c dns_transmit.h
	./compile dns_rcip_info_here.c

dns_rcrw_info_here.o: compile dns_rcrw_info_here.c dns_transmit.h
	./compile dns_rcrw_info_here.c

dns_rcrw_info_free.o: compile dns_rcrw_info_free.c dns_transmit.h stralloc.h tai.h
	./compile dns_rcrw_info_free.c

dns_rcrw.o: compile dns_rcrw.c dns_transmit.h skamisc.h stralloc.h
	./compile dns_rcrw.c

dns_rcrwit.o: compile dns_rcrwit.c dns_transmit.h skamisc.h
	./compile dns_rcrwit.c

dns_rcrwit_tmp.o: compile dns_rcrwit_tmp.c dns_transmit.h djbunix.h env.h tai.h stralloc.h bytestr.h
	./compile dns_rcrwit_tmp.c

dns_resolve.o: compile dns_resolve.c dns_transmit.h
	./compile dns_resolve.c

dns_resolve_r.o: compile dns_resolve_r.c dns_transmit.h iopause.h tai.h
	./compile dns_resolve_r.c

dns_sortip.o: compile dns_sortip.c dns_helper.h random.h bytestr.h
	./compile dns_sortip.c

dns_transmit.o: compile dns_transmit.c dns.h socket.h random.h iopause.h tai.h error.h bytestr.h alloc.h allreadwrite.h uint16.h
	./compile dns_transmit.c

dns_txt.o: compile dns_txt.c dns.h stralloc.h
	./compile dns_txt.c

dns_txt_p.o: compile dns_txt_p.c dns_helper.h stralloc.h bytestr.h uint16.h
	./compile dns_txt_p.c

libdns.a: makelib dns_dfd.o dns_domain_copy.o \
dns_domain_free.o dns_domain_length.o dns_domain_suffix.o \
dns_domain_suffixpos.o dns_dtda.o dns_ip4.o dns_ip4b.o dns_ip_p.o \
dns_ipq.o dns_ipqb.o dns_ipqb_r_tmp.o dns_ipq_rules.o dns_ipq_rulesb.o \
dns_mx.o dns_mx_p.o dns_name.o dns_name_p.o dns_nd.o \
dns_packet_copy.o dns_packet_getname.o dns_packet_skipname.o \
dns_rcip.o dns_rcipit.o dns_rcip_info_here.o \
dns_rcrw_info_here.o dns_rcrw_info_free.o dns_rcrw.o dns_rcrwit.o dns_rcrwit_tmp.o \
dns_resolve.o dns_resolve_r.o dns_sortip.o dns_transmit.o \
dns_txt.o dns_txt_p.o
	./makelib libdns.a \
	dns_dfd.o dns_domain_copy.o \
	dns_domain_free.o dns_domain_length.o dns_domain_suffix.o \
	dns_domain_suffixpos.o dns_dtda.o dns_ip4.o dns_ip4b.o dns_ip_p.o \
	dns_ipq.o dns_ipqb.o dns_ipqb_r_tmp.o dns_ipq_rules.o dns_ipq_rulesb.o \
	dns_mx.o dns_mx_p.o dns_name.o dns_name_p.o dns_nd.o \
	dns_packet_copy.o dns_packet_getname.o dns_packet_skipname.o \
	dns_rcip.o dns_rcipit.o dns_rcip_info_here.o \
	dns_rcrw_info_here.o dns_rcrw_info_free.o dns_rcrw.o dns_rcrwit.o dns_rcrwit_tmp.o \
	dns_resolve.o dns_resolve_r.o dns_sortip.o dns_transmit.o \
	dns_txt.o dns_txt_p.o


command:

include: dns.h dns_helper.h dns_transmit.h

library: libdns.a

library.so:
