=== skalibs-0.47/src/librandom/Makefile ===
it: command include library library.so

clean: EXPORT INTERNAL
	rm -f `cat EXPORT INTERNAL`


random-internal.h: rrandom.h unirandom.h surf.h gccattributes.h
	touch random-internal.h


surf.h: uint32.h
	touch surf.h

surf_sinit.o: compile surf_sinit.c surf.h uint32.h
	./compile surf_sinit.c

surf.o: compile surf.c surf.h uint32.h bytestr.h
	./compile surf.c

surf_makeseed.o: compile surf_makeseed.c surf.h sha1.h tai.h uint32.h
	./compile surf_makeseed.c

surf_init.o: compile surf_init.c surf.h
	./compile surf_init.c

surf_autoinit.o: compile surf_autoinit.c surf.h
	./compile surf_autoinit.c


unisurf.h: unirandom.h
	touch unisurf.h

unisurf.o: compile unisurf.c unisurf.h unirandom.h surf.h
	./compile unisurf.c

unisurf_init.o: compile unisurf_init.c unisurf.h unirandom.h random-internal.h surf.h
	./compile unisurf_init.c


randomegd_open.o: compile randomegd_open.c randomegd.h webipc.h djbunix.h
	./compile randomegd_open.c

randomegd_readb.o: compile randomegd_readb.c randomegd.h allreadwrite.h
	./compile randomegd_readb.c

randomegd_readnb.o: compile randomegd_readnb.c randomegd.h allreadwrite.h
	./compile randomegd_readnb.c


unirandomegd.h: unirandom.h
	touch unirandomegd.h

unirandomegd.o: compile unirandomegd.c unirandomegd.h unirandom.h randomegd.h djbunix.h
	./compile unirandomegd.c

unihasegd.o: compile unihasegd.c unirandom.h random-internal.h unirandomegd.h sysdeps.h
	./compile unihasegd.c


unirandomdev.h: unirandom.h
	touch unirandomdev.h

unirandomdev.o: compile unirandomdev.c unirandomdev.h unirandom.h djbunix.h allreadwrite.h
	./compile unirandomdev.c

unidevrandom.o: compile unidevrandom.c unirandom.h random-internal.h unirandomdev.h sysdeps.h
	./compile unidevrandom.c

unidevurandom.o: compile unidevurandom.c unirandom.h random-internal.h unirandomdev.h sysdeps.h
	./compile unidevurandom.c


unirandom.h: surf.h
	touch unirandom.h

unirandom_register.o: compile unirandom_register.c random-internal.h unirandom.h
	./compile unirandom_register.c

unirandom_init.o: compile unirandom_init.c unirandom.h
	./compile unirandom_init.c

unirandom_readb.o: compile unirandom_readb.c unirandom.h
	./compile unirandom_readb.c

unirandom_readnb.o: compile unirandom_readnb.c unirandom.h
	./compile unirandom_readnb.c

unirandom_finish.o: compile unirandom_finish.c unirandom.h
	./compile unirandom_finish.c


rrandom.h: unirandom.h
	touch rrandom.h

rrandom_add.o: compile rrandom_add.c rrandom.h unirandom.h
	./compile rrandom_add.c

rrandom_finish.o: compile rrandom_finish.c rrandom.h unirandom.h
	./compile rrandom_finish.c

rrandom_name.o: compile rrandom_name.c rrandom.h unirandom.h
	./compile rrandom_name.c

rrandom_read.o: compile rrandom_read.c rrandom.h unirandom.h error.h allreadwrite.h
	./compile rrandom_read.c

rrandom_readint.o: compile rrandom_readint.c rrandom.h unirandom.h random-internal.h
	./compile rrandom_readint.c


random_mask2.o: compile random_mask2.c random-internal.h
	./compile random_mask2.c

surf_here.o: compile surf_here.c random-internal.h surf.h
	./compile surf_here.c

badrandom_here.o: compile badrandom_here.c random-internal.h unirandomdev.h unirandomegd.h unisurf.h sysdeps.h
	./compile badrandom_here.c

goodrandom_here.o: compile goodrandom_here.c random-internal.h unirandomdev.h unirandomegd.h unisurf.h sysdeps.h
	./compile goodrandom_here.c


dns_random_init.o: compile dns_random_init.c random.h random-internal.h surf.h tai.h bytestr.h uint32.h
	./compile dns_random_init.c

dns_random.o: compile dns_random.c random.h random-internal.h surf.h
	./compile dns_random.c

dns_random_string.o: compile dns_random_string.c random.h random-internal.h surf.h
	./compile dns_random_string.c


badrandom_init.o: compile badrandom_init.c random.h
	./compile badrandom_init.c

badrandom_finish.o: compile badrandom_finish.c random.h random-internal.h rrandom.h
	./compile badrandom_finish.c

badrandom_string.o: compile badrandom_string.c random.h random-internal.h rrandom.h
	./compile badrandom_string.c

badrandom_int.o: compile badrandom_int.c random.h random-internal.h rrandom.h
	./compile badrandom_int.c

badrandom_char.o: compile badrandom_char.c random.h random-internal.h
	./compile badrandom_char.c


goodrandom_init.o: compile goodrandom_init.c random.h
	./compile goodrandom_init.c

goodrandom_finish.o: compile goodrandom_finish.c random.h random-internal.h random.h rrandom.h
	./compile goodrandom_finish.c

goodrandom_string.o: compile goodrandom_string.c random.h random-internal.h rrandom.h
	./compile goodrandom_string.c

goodrandom_int.o: compile goodrandom_int.c random.h random-internal.h rrandom.h
	./compile goodrandom_int.c

goodrandom_char.o: compile goodrandom_char.c random.h random-internal.h
	./compile goodrandom_char.c


random_name.o: compile random_name.c random.h random-internal.h
	./compile random_name.c

random_sauniquename.o: compile random_sauniquename.c random.h skamisc.h stralloc.h
	./compile random_sauniquename.c


librandom.a: makelib \
surf_sinit.o surf.o surf_makeseed.o surf_init.o surf_autoinit.o \
randomegd_open.o randomegd_readb.o randomegd_readnb.o \
unisurf.o unisurf_init.o \
unirandomegd.o unihasegd.o \
unirandomdev.o unidevrandom.o unidevurandom.o \
unirandom_register.o unirandom_init.o unirandom_finish.o unirandom_readb.o unirandom_readnb.o \
rrandom_add.o rrandom_finish.o rrandom_read.o rrandom_readint.o rrandom_name.o \
random_mask2.o surf_here.o badrandom_here.o goodrandom_here.o \
dns_random.o dns_random_init.o dns_random_string.o \
badrandom_init.o badrandom_finish.o badrandom_string.o badrandom_int.o badrandom_char.o \
goodrandom_init.o goodrandom_finish.o goodrandom_string.o goodrandom_int.o goodrandom_char.o \
random_name.o random_sauniquename.o
	./makelib librandom.a \
	surf_sinit.o surf.o surf_makeseed.o surf_init.o surf_autoinit.o \
	randomegd_open.o randomegd_readb.o randomegd_readnb.o \
	unisurf.o unisurf_init.o \
	unirandomegd.o unihasegd.o \
	unirandomdev.o unidevrandom.o unidevurandom.o \
	unirandom_register.o unirandom_init.o unirandom_finish.o unirandom_readb.o unirandom_readnb.o \
	rrandom_add.o rrandom_finish.o rrandom_read.o rrandom_readint.o rrandom_name.o \
	random_mask2.o surf_here.o badrandom_here.o goodrandom_here.o \
	dns_random.o dns_random_init.o dns_random_string.o \
	badrandom_init.o badrandom_finish.o badrandom_string.o badrandom_int.o badrandom_char.o \
	goodrandom_init.o goodrandom_finish.o goodrandom_string.o goodrandom_int.o goodrandom_char.o \
	random_name.o random_sauniquename.o


command:

include: surf.h unirandom.h rrandom.h random.h

library: librandom.a

library.so:
