=== skalibs-0.47/src/libstddjb/Makefile ===
it: command include library library.so

clean: EXPORT INTERNAL
	rm -f `cat EXPORT INTERNAL`


alloc.h: gccattributes.h
	touch alloc.h

alloc_0.h: sysdeps.h alloc.h
	touch alloc_0.h

intalloc.h: gen_alloc.h
	touch intalloc.h

uintalloc.h: gen_alloc.h
	touch uintalloc.h

uintbunch.h: gen_bunch.h uintalloc.h
	touch uintbunch.h

diuintalloc.h: diuint.h gen_alloc.h
	touch diuintalloc.h

diuintbunch.h: gen_bunch.h diuintalloc.h diuint.h
	touch diuintbunch.h

uint16alloc.h: gen_alloc.h uint16.h
	touch uint16alloc.h

uint32alloc.h: gen_alloc.h uint32.h
	touch uint32alloc.h

uint64alloc.h: gen_alloc.h uint64.h
	touch uint64alloc.h

uint32aalloc.h: gen_alloc.h uint32alloc.h
	touch uint32aalloc.h

bitarray.h: uint64alloc.h gccattributes.h
	touch bitarray.h

buffer.h: allreadwrite.h gccattributes.h
	touch buffer.h

bufalloc.h: stralloc.h
	touch bufalloc.h

bytestr.h: gccattributes.h
	touch bytestr.h

caltimedate.h: gccattributes.h
	touch caltimedate.h

env.h: stralloc.h gccattributes.h
	touch env.h

envalloc.h: gen_alloc.h
	touch envalloc.h

fmtscan.h: gccattributes.h uint64.h
	touch fmtscan.h

fmtscan-internal.h: fmtscan.h
	touch fmtscan-internal.h

iobuffer.h: buffer.h
	touch iobuffer.h

gen_alloc.h: alloc.h
	touch gen_alloc.h

gen_bunch.h: gen_alloc.h bitarray.h
	touch gen_bunch.h

stralloc.h: gen_alloc.h gccattributes.h
	touch stralloc.h

strerr.h: gccattributes.h
	touch strerr.h

strerr2.h: strerr.h
	touch strerr2.h

cdb.h: uint32.h gccattributes.h
	touch cdb.h

cdb_make.h: uint32.h buffer.h diuint32alloc.h
	touch cdb_make.h

tai.h: uint64.h gccattributes.h
	touch tai.h

netstring.h: buffer.h stralloc.h
	touch netstring.h

djbunix.h: stralloc.h envalloc.h gccattributes.h env.h
	touch djbunix.h

sig.h: gccattributes.h
	touch sig.h

socket.h: tai.h uint16.h gccattributes.h
	touch socket.h

skamisc.h: buffer.h stralloc.h
	touch skamisc.h

leapsecs_internal.h: tai.h
	touch leapsecs_internal.h

stddjb.h: gccattributes.h uint16.h uint32.h uint64.h alloc.h intalloc.h uintalloc.h uint16alloc.h uint32alloc.h uint64alloc.h allreadwrite.h buffer.h iobuffer.h bytestr.h djbunix.h direntry.h error.h fmtscan.h gen_alloc.h select.h sig.h stralloc.h bufalloc.h cdb.h cdb_make.h strerr2.h tai.h iopause.h sgetopt.h netstring.h skamisc.h caltimedate.h bitarray.h gen_bunch.h uintbunch.h diuint.h diuintalloc.h diuintbunch.h environ.h shglob.h selfpipe.h syssocket.h
	touch stddjb.h

absolutepath.o: compile absolutepath.c skamisc.h djbunix.h stralloc.h
	./compile absolutepath.c

absolutepath_tmp.o: compile absolutepath_tmp.c djbunix.h stralloc.h bytestr.h
	./compile absolutepath_tmp.c

sanitize_read.o: compile sanitize_read.c allreadwrite.h error.h
	./compile sanitize_read.c

allreadwrite.o: compile allreadwrite.c allreadwrite.h error.h
	./compile allreadwrite.c

allread.o: compile allread.c allreadwrite.h
	./compile allread.c

allwrite.o: compile allwrite.c allreadwrite.h
	./compile allwrite.c

alloc_ska.o: compile alloc_ska.c alloc.h alloc_0.h sysdeps.h
	./compile alloc_ska.c

alloc_0.o: compile alloc_0.c alloc_0.h alloc.h sysdeps.h
	./compile alloc_0.c

alloc_djb.o: compile alloc_djb.c alloc.h bytestr.h sysdeps.h
	./compile alloc_djb.c

basename.o: compile basename.c djbunix.h stralloc.h bytestr.h
	./compile basename.c

bitarray.o: compile bitarray.c bitarray.h uint64alloc.h uint64.h
	./compile bitarray.c

bufalloc_init.o: compile bufalloc_init.c bufalloc.h allreadwrite.h
	./compile bufalloc_init.c

bufalloc_clean.o: compile bufalloc_clean.c bufalloc.h bytestr.h
	./compile bufalloc_clean.c

bufalloc_flush.o: compile bufalloc_flush.c bufalloc.h allreadwrite.h
	./compile bufalloc_flush.c

bufalloc_1.o: compile bufalloc_1.c bufalloc.h allreadwrite.h
	./compile bufalloc_1.c

bufalloc_2.o: compile bufalloc_2.c bufalloc.h allreadwrite.h
	./compile bufalloc_2.c

buffer_init.o: compile buffer_init.c buffer.h allreadwrite.h
	./compile buffer_init.c

buffer_clean.o: compile buffer_clean.c buffer.h bytestr.h
	./compile buffer_clean.c

buffer_0.o: compile buffer_0.c buffer.h
	./compile buffer_0.c

buffer_0small.o: compile buffer_0small.c buffer.h
	./compile buffer_0small.c

buffer_1.o: compile buffer_1.c buffer.h
	./compile buffer_1.c

buffer_1small.o: compile buffer_1small.c buffer.h
	./compile buffer_1small.c

buffer_2.o: compile buffer_2.c buffer.h
	./compile buffer_2.c

buffer_bget.o: compile buffer_bget.c buffer.h
	./compile buffer_bget.c

buffer_feed.o: compile buffer_feed.c buffer.h
	./compile buffer_feed.c

buffer_fill.o: compile buffer_fill.c buffer.h
	./compile buffer_fill.c

buffer_flush.o: compile buffer_flush.c buffer.h allreadwrite.h
	./compile buffer_flush.c

buffer_get.o: compile buffer_get.c buffer.h
	./compile buffer_get.c

buffer_getall.o: compile buffer_getall.c buffer.h allreadwrite.h
	./compile buffer_getall.c

buffer_getallnf.o: compile buffer_getallnf.c buffer.h
	./compile buffer_getallnf.c

buffer_getnf.o: compile buffer_getnf.c buffer.h bytestr.h
	./compile buffer_getnf.c

buffer_peek.o: compile buffer_peek.c buffer.h
	./compile buffer_peek.c

buffer_put.o: compile buffer_put.c buffer.h
	./compile buffer_put.c

buffer_putalign.o: compile buffer_putalign.c buffer.h error.h
	./compile buffer_putalign.c

buffer_putall.o: compile buffer_putall.c buffer.h
	./compile buffer_putall.c

buffer_putallf.o: compile buffer_putallf.c buffer.h
	./compile buffer_putallf.c

buffer_putallnf.o: compile buffer_putallnf.c buffer.h
	./compile buffer_putallnf.c

buffer_putc.o: compile buffer_putc.c buffer.h
	./compile buffer_putc.c

buffer_putflush.o: compile buffer_putflush.c buffer.h error.h
	./compile buffer_putflush.c

buffer_putnf.o: compile buffer_putnf.c buffer.h bytestr.h
	./compile buffer_putnf.c

buffer_puts.o: compile buffer_puts.c buffer.h bytestr.h
	./compile buffer_puts.c

buffer_putsalign.o: compile buffer_putsalign.c buffer.h bytestr.h
	./compile buffer_putsalign.c

buffer_putsflush.o: compile buffer_putsflush.c buffer.h bytestr.h
	./compile buffer_putsflush.c

buffer_read.o: compile buffer_read.c buffer.h
	./compile buffer_read.c

buffer_seek.o: compile buffer_seek.c buffer.h
	./compile buffer_seek.c

buffer_unget.o: compile buffer_unget.c buffer.h
	./compile buffer_unget.c

buffer_unput.o: compile buffer_unput.c buffer.h
	./compile buffer_unput.c

buffer_write.o: compile buffer_write.c buffer.h
	./compile buffer_write.c

byte_chr.o: compile byte_chr.c bytestr.h
	./compile byte_chr.c

byte_copy.o: compile byte_copy.c bytestr.h
	./compile byte_copy.c

byte_count.o: compile byte_count.c bytestr.h
	./compile byte_count.c

byte_cr.o: compile byte_cr.c bytestr.h
	./compile byte_cr.c

byte_diff.o: compile byte_diff.c bytestr.h
	./compile byte_diff.c

byte_in.o: compile byte_in.c bytestr.h
	./compile byte_in.c

byte_rchr.o: compile byte_rchr.c bytestr.h
	./compile byte_rchr.c

byte_zero.o: compile byte_zero.c bytestr.h
	./compile byte_zero.c

caldate_fmjd.o: compile caldate_fmjd.c caltimedate.h
	./compile caldate_fmjd.c

caldate_fmt.o: compile caldate_fmt.c caltimedate.h
	./compile caldate_fmt.c

caldate_mjd.o: compile caldate_mjd.c caltimedate.h
	./compile caldate_mjd.c

caldate_norm.o: compile caldate_norm.c caltimedate.h
	./compile caldate_norm.c

caldate_scan.o: compile caldate_scan.c caltimedate.h
	./compile caldate_scan.c

caldate_ster.o: compile caldate_ster.c caltimedate.h
	./compile caldate_ster.c

caltime_fmt.o: compile caltime_fmt.c caltimedate.h
	./compile caltime_fmt.c

caltime_scan.o: compile caltime_scan.c caltimedate.h
	./compile caltime_scan.c

caltime_tai.o: compile caltime_tai.c caltimedate.h tai.h
	./compile caltime_tai.c

caltime_utc.o: compile caltime_utc.c caltimedate.h tai.h uint64.h
	./compile caltime_utc.c

leapsecs_init.o: compile leapsecs_init.c caltimedate.h
	./compile leapsecs_init.c

leapsecs_readf_r.o: compile leapsecs_readf_r.c tai.h caltimedate.h djbunix.h allreadwrite.h alloc.h
	./compile leapsecs_readf_r.c

leapsecs_read_r.o: compile leapsecs_read_r.c tai.h caltimedate.h
	./compile leapsecs_read_r.c

leapsecs_read.o: compile leapsecs_read.c caltimedate.h tai.h leapsecs_internal.h
	./compile leapsecs_read.c

leapsecs_add.o: compile leapsecs_add.c caltimedate.h tai.h leapsecs_internal.h
	./compile leapsecs_add.c

leapsecs_sub.o: compile leapsecs_sub.c caltimedate.h tai.h leapsecs_internal.h
	./compile leapsecs_sub.c

case_diffb.o: compile case_diffb.c bytestr.h
	./compile case_diffb.c

case_diffs.o: compile case_diffs.c bytestr.h
	./compile case_diffs.c

case_lowerb.o: compile case_lowerb.c bytestr.h
	./compile case_lowerb.c

case_lowers.o: compile case_lowers.c bytestr.h
	./compile case_lowers.c

case_upperb.o: compile case_upperb.c bytestr.h
	./compile case_upperb.c

case_uppers.o: compile case_uppers.c bytestr.h
	./compile case_uppers.c

cdb.o: compile cdb.c cdb.h error.h djbunix.h bytestr.h allreadwrite.h uint32.h
	./compile cdb.c

cdb_hash.o: compile cdb_hash.c cdb.h uint32.h
	./compile cdb_hash.c

cdb_make.o: compile cdb_make.c cdb_make.h cdb.h djbunix.h buffer.h uint32.h diuint32.h diuint32alloc.h
	./compile cdb_make.c

cdb_traverse.o: compile cdb_traverse.c cdb.h djbunix.h uint32.h
	./compile cdb_traverse.c

coe.o: compile coe.c djbunix.h
	./compile coe.c

uncoe.o: compile uncoe.c djbunix.h
	./compile uncoe.c

deepsleep.o: compile deepsleep.c djbunix.h iopause.h tai.h
	./compile deepsleep.c

dirname.o: compile dirname.c djbunix.h stralloc.h bytestr.h
	./compile dirname.c

diuint32.h: uint32.h
	touch diuint32.h

diuintalloc.o: compile diuintalloc.c diuintalloc.h diuint.h gen_alloc.h
	./compile diuintalloc.c

diuintalloc_x.o: compile diuintalloc_x.c diuintalloc.h diuint.h gen_alloc.h
	./compile diuintalloc_x.c

diuintbunch.o: compile diuintbunch.c diuintbunch.h gen_bunch.h diuintalloc.h diuint.h
	./compile diuintbunch.c

diuint32alloc.o: compile diuint32alloc.c diuint32alloc.h diuint32.h gen_alloc.h
	./compile diuint32alloc.c

diuint32alloc_x.o: compile diuint32alloc_x.c diuint32alloc.h diuint32.h gen_alloc.h
	./compile diuint32alloc_x.c

diuint32bunch.o: compile diuint32bunch.c diuint32bunch.h gen_bunch.h diuint32alloc.h diuint32.h
	./compile diuint32bunch.c

doublefork.o: compile doublefork.c djbunix.h allreadwrite.h uint16.h
	./compile doublefork.c

dir_close.o: compile dir_close.c direntry.h
	./compile dir_close.c

env_get.o: compile env_get.c environ.h env.h
	./compile env_get.c

env_get2.o: compile env_get2.c env.h bytestr.h
	./compile env_get2.c

env_len.o: compile env_len.c env.h
	./compile env_len.c

env_addmodif.o: compile env_addmodif.c env.h stralloc.h
	./compile env_addmodif.c

env_string.o: compile env_string.c env.h stralloc.h
	./compile env_string.c

envalloc.o: compile envalloc.c envalloc.h gen_alloc.h
	./compile envalloc.c

envalloc_x.o: compile envalloc_x.c envalloc.h gen_alloc.h
	./compile envalloc_x.c

envalloc_0.o: compile envalloc_0.c envalloc.h
	./compile envalloc_0.c

envalloc_make.o: compile envalloc_make.c envalloc.h bytestr.h
	./compile envalloc_make.c

envalloc_reverse.o: compile envalloc_reverse.c envalloc.h gen_alloc.h
	./compile envalloc_reverse.c

envalloc_uniq.o: compile envalloc_uniq.c envalloc.h error.h bytestr.h
	./compile envalloc_uniq.c

envalloc_merge.o: compile envalloc_merge.c env.h envalloc.h bytestr.h
	./compile envalloc_merge.c

error.o: compile error.c error.h
	./compile error.c

error_str.o: compile error_str.c error.h
	./compile error_str.c

error_temp.o: compile error_temp.c error.h
	./compile error_temp.c

fd_chdir.o: compile fd_chdir.c djbunix.h
	./compile fd_chdir.c

fd_copy.o: compile fd_copy.c djbunix.h
	./compile fd_copy.c

fd_copy2.o: compile fd_copy2.c djbunix.h
	./compile fd_copy2.c

fd_move.o: compile fd_move.c djbunix.h
	./compile fd_move.c

fd_move2.o: compile fd_move2.c djbunix.h
	./compile fd_move2.c

fd_close.o: compile fd_close.c djbunix.h
	./compile fd_close.c

fd_read.o: compile fd_read.c allreadwrite.h
	./compile fd_read.c

fd_write.o: compile fd_write.c allreadwrite.h
	./compile fd_write.c

fd_recv.o: compile fd_recv.c allreadwrite.h
	./compile fd_recv.c
