=== skalibs-0.47/src/libttymodes/Makefile ===
it: command include library library.so

clean: EXPORT INTERNAL
	rm -f `cat EXPORT INTERNAL`


ttymodes_packt.o: compile ttymodes_packt.c ttymodes.h uint32.h uint64.h
	./compile ttymodes_packt.c

ttymodes_packw.o: compile ttymodes_packw.c ttymodes.h uint16.h
	./compile ttymodes_packw.c

ttymodes_pack.o: compile ttymodes_pack.c ttymodes.h
	./compile ttymodes_pack.c

ttymodes_unpackt.o: compile ttymodes_unpackt.c ttymodes.h uint32.h uint64.h
	./compile ttymodes_unpackt.c

ttymodes_unpackw.o: compile ttymodes_unpackw.c ttymodes.h uint16.h
	./compile ttymodes_unpackw.c

ttymodes_unpack.o: compile ttymodes_unpack.c ttymodes.h
	./compile ttymodes_unpack.c

ttymodes_gett.o: compile ttymodes_gett.c ttymodes.h
	./compile ttymodes_gett.c

ttymodes_getw.o: compile ttymodes_getw.c ttymodes.h sysdeps.h
	./compile ttymodes_getw.c

ttymodes_get.o: compile ttymodes_get.c ttymodes.h
	./compile ttymodes_get.c

ttymodes_sett.o: compile ttymodes_sett.c ttymodes.h
	./compile ttymodes_sett.c

ttymodes_sett_nohang.o: compile ttymodes_sett_nohang.c ttymodes.h
	./compile ttymodes_sett_nohang.c

ttymodes_setw.o: compile ttymodes_setw.c ttymodes.h sysdeps.h
	./compile ttymodes_setw.c

ttymodes_set.o: compile ttymodes_set.c ttymodes.h
	./compile ttymodes_set.c

ttymodes_set_nohang.o: compile ttymodes_set_nohang.c ttymodes.h
	./compile ttymodes_set_nohang.c

ttymodes_raw.o: compile ttymodes_raw.c ttymodes.h
	./compile ttymodes_raw.c

ttymodes_sane.o: compile ttymodes_sane.c ttymodes.h bytestr.h
	./compile ttymodes_sane.c

ttymodes_remote.o: compile ttymodes_remote.c ttymodes.h sysdeps.h
	./compile ttymodes_remote.c

ttymodes_echo_off.o: compile ttymodes_echo_off.c ttymodes.h
	./compile ttymodes_echo_off.c

ttymodes_echo_on.o: compile ttymodes_echo_on.c ttymodes.h
	./compile ttymodes_echo_on.c


libttymodes.a: makelib \
ttymodes_packt.o ttymodes_packw.o ttymodes_pack.o \
ttymodes_unpackt.o ttymodes_unpackw.o ttymodes_unpack.o \
ttymodes_gett.o ttymodes_getw.o ttymodes_get.o \
ttymodes_sett.o ttymodes_sett_nohang.o ttymodes_setw.o ttymodes_set.o ttymodes_set_nohang.o \
ttymodes_raw.o ttymodes_sane.o ttymodes_remote.o ttymodes_echo_off.o ttymodes_echo_on.o
	./makelib libttymodes.a \
	ttymodes_packt.o ttymodes_packw.o ttymodes_pack.o \
	ttymodes_unpackt.o ttymodes_unpackw.o ttymodes_unpack.o \
	ttymodes_gett.o ttymodes_getw.o ttymodes_get.o \
	ttymodes_sett.o ttymodes_sett_nohang.o ttymodes_setw.o ttymodes_set.o ttymodes_set_nohang.o \
	ttymodes_raw.o ttymodes_sane.o ttymodes_remote.o ttymodes_echo_off.o ttymodes_echo_on.o


command:

include: ttymodes.h

library: libttymodes.a

library.so:
