=== skalibs-0.47/src/sys/Makefile ===
it: choose compile load makelib warn-auto.sh stupid

clean: EXPORT INTERNAL
	rm -f `cat EXPORT INTERNAL`


compile: conf-cc print-cc.sh warn-auto.sh
	rm -f compile
	/bin/sh print-cc.sh conf-cc > compile
	chmod 555 compile

load: conf-ld conf-stripbins print-ld.sh warn-auto.sh
	rm -f load
	/bin/sh print-ld.sh > load
	chmod 555 load

makelib: conf-striplibs print-ar.sh warn-auto.sh systype
	rm -f makelib
	/bin/sh print-ar.sh > makelib
	chmod 555 makelib

stupid: conf-sp_root conf-category conf-name conf-version conf-home
	touch stupid
