=== skalibs-0.47/src/systype/Makefile ===
it: systype

clean: EXPORT INTERNAL
	rm -f `cat EXPORT INTERNAL`


systype: find-systype.sh trycpp.c x86cpuid.c
	/bin/sh find-systype.sh > systype

find-systype.sh: bootcompile bootload
	touch find-systype.sh

bootcompile: conf-cc print-cc.sh warn-auto.sh
	rm -f bootcompile
	/bin/sh print-cc.sh conf-cc > bootcompile
	chmod 555 bootcompile

bootload: conf-ld conf-stripbins print-ld.sh warn-auto.sh
	rm -f bootload
	/bin/sh print-ld.sh > bootload
	chmod 555 bootload
