=== debian/changelog ===
skalibs (2.7.0.0-2) unstable; urgency=medium

  * Install header files to Multi-Arch dir.
  * Update my email to zhsj@debian.org.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 01 Sep 2018 19:16:19 +0800

skalibs (2.7.0.0-1) experimental; urgency=medium

  * New Maintainer. (Closes: #907093)
  * New upstream release 2.7.0.0.

 -- Shengjing Zhu <i@zhsj.me>  Sun, 26 Aug 2018 21:32:19 +0800

skalibs (0.47-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/rules: add missing build-arch and build-indep targets.
    Thanks to Santiago Vila for the patch.  Closes: #832510
  * Make the build reproducible by sorting the md5sums file.
    Thanks to Valerie R Young for the patch.  Closes: #847030
  * d/control: move the homepage to the Homepage field.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 08 Mar 2017 16:24:06 +0100

skalibs (0.47-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Standards-Version: 3.8.4.0.

 -- Gerrit Pape <pape@smarden.org>  Mon, 19 Apr 2010 22:32:27 +0000

skalibs (0.46-1) unstable; urgency=low

  * debian/implicit: update to a09db2e42c8b6a2d820754d741558e5894944746.
  * new upstream version.
  * switch from tarball-in-tarball to original upstream tarball.
  * debian/rules: target unpack: rename to configure:; instead of unpacking
    copy sources for build against dietlibc; adapt build:, clean:, install:
    targets.
  * debian/control: remove duplicate Architecture: field (closes: #464299).
  * debian/control: Standards-Version: 3.7.3.0.
  * debian/skalibs-doc.docs: adapt paths.
  * debian/rules: don't have upstream build process strip libraries.

 -- Gerrit Pape <pape@smarden.org>  Wed, 06 Feb 2008 10:59:19 +0000

skalibs (0.45-2) unstable; urgency=low

  * debian/control: add Build-Depends: dietlibc-dev [ppc64].
  * debian/rules: add ppc64 to DIET_ARCHS.

 -- Gerrit Pape <pape@smarden.org>  Sun, 13 Mar 2005 14:12:15 +0000

skalibs (0.45-1) unstable; urgency=low

  * new upstream version.
  * debian/copyright: minor.

 -- Gerrit Pape <pape@smarden.org>  Sun, 13 Feb 2005 17:52:54 +0000

skalibs (0.44-1) unstable; urgency=low

  * new upstream version.
  * debian/implicit: update to revision 1.10.
  * debian/skalibs-doc.docs: use generic pathnames.
  * debian/rules: minor cleanup.

 -- Gerrit Pape <pape@smarden.org>  Fri,  5 Nov 2004 17:37:32 +0000

skalibs (0.43-2) unstable; urgency=low

  * debian/rules: install sysdeps in /usr/include/skalibs/sysdeps/ and
    /usr/include/diet/skalibs/sysdeps/; install libraries into
    /usr/lib/diet/lib/; shorten architecture-check; use -g -O2; strip
    libraries; minor.
  * debian/control: Build-Depends: dietlibc-dev (>= 0.26-3) +[amd64].
  * debian/skalibs-dev.README.Debian: minor.

 -- Gerrit Pape <pape@smarden.org>  Mon, 21 Jun 2004 17:20:26 +0000

skalibs (0.43-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Mon, 19 Apr 2004 08:12:40 +0000

skalibs (0.42-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Sun, 11 Apr 2004 11:45:06 +0000

skalibs (0.41-1) unstable; urgency=low

  * new upstream version.
  * debian/implicit: update to revision 1.8.

 -- Gerrit Pape <pape@smarden.org>  Sat,  3 Apr 2004 15:55:28 +0000

skalibs (0.40-1) unstable; urgency=low

  * initial debian package (closes: #231936).

 -- Gerrit Pape <pape@smarden.org>  Tue, 17 Feb 2004 10:01:02 +0000
